OpenCV: cv::softfloat Struct Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
cv::softfloat Struct Reference
Core functionality » Utility and system functions and macros » Softfloat support

`#include "softfloat.hpp"`

## Public Member Functions
| softfloat ()
| Default constructor. More...
| softfloat (const softfloat &c)
| Copy constructor. More...
| softfloat (const uint32_t)
| Construct from integer. More...
| softfloat (const uint64_t)
| softfloat (const int32_t)
| softfloat (const int64_t)
| softfloat (const float a)
| Construct from float. More...
int | getExp () const
| Get 0-based exponent. More...
softfloat | getFrac () const
| Get a fraction part. More...
bool | getSign () const
| Get sign bit. More...
bool | isInf () const
| Inf state indicator. More...
bool | isNaN () const
| NaN state indicator. More...
bool | isSubnormal () const
| Subnormal number indicator. More...
| operator float () const
| operator softdouble () const
| Type casts. More...
bool | operator!= (const softfloat &) const
softfloat | operator% (const softfloat &) const
| Remainder operator. More...
softfloat & | operator%= (const softfloat &a)
softfloat | operator* (const softfloat &) const
softfloat & | operator*= (const softfloat &a)
softfloat | operator+ (const softfloat &) const
| Basic arithmetics. More...
softfloat & | operator+= (const softfloat &a)
softfloat | operator- (const softfloat &) const
softfloat | operator- () const
softfloat & | operator-= (const softfloat &a)
softfloat | operator/ (const softfloat &) const
softfloat & | operator/= (const softfloat &a)
bool | operator< (const softfloat &) const
bool | operator<= (const softfloat &) const
softfloat & | operator= (const softfloat &c)
| Assign constructor. More...
bool | operator== (const softfloat &) const
| Comparison operations. More...
bool | operator> (const softfloat &) const
bool | operator>= (const softfloat &) const
softfloat | setExp (int e) const
| Construct a copy with new 0-based exponent. More...
softfloat | setFrac (const softfloat &s) const
| Construct a copy with provided significand. More...
softfloat | setSign (bool sign) const
| Construct a copy with new sign bit. More...

## Static Public Member Functions
static softfloat | eps ()
| Difference between 1 and next representable value. More...
static const softfloat | fromRaw (const uint32_t a)
| Construct from raw. More...
static softfloat | inf ()
| Positive infinity constant. More...
static softfloat | max ()
| Biggest finite value. More...
static softfloat | min ()
| Smallest normalized value. More...
static softfloat | nan ()
| Default NaN constant. More...
static softfloat | one ()
| One constant. More...
static softfloat | pi ()
| Correct pi approximation. More...
static softfloat | zero ()
| Zero constant. More...

## Public Attributes
uint32_t | v

The documentation for this struct was generated from the following file:

- core/include/opencv2/core/softfloat.hpp